#!/usr/bin/env python3

# Copyright 2013-2016 University of Warsaw
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from setuptools import setup, find_packages
from glob import glob

import vipe

setup(
    name=vipe.__title__,
    version=vipe.__version__,
    author=vipe.__author__,
    author_email=vipe.__email__,
    packages=find_packages(),
    include_package_data=True,
    url='https://github.com/openaire/vipe',
    license=vipe.__license__,
    description=vipe.__description__,
    ## This file is generated by running appropriate target from the Makefile
    long_description=open('tmp/README.rst').read(),
    install_requires=open('requirements.txt').read().split(),
    ## Add ability to run tests in the code through the setup.py script
    keywords=['Oozie', 'workflow visualization', 'pipeline visualization'],
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.4',
        'License :: OSI Approved :: Apache Software License',
        'Topic :: Scientific/Engineering :: Visualization',
    ],
    scripts=[p for p in glob('scripts/vipe*')]
)
